function [G11,G22,G12] = difference_matrices_unser(Nx,Ny)

%Matrix that computes differences between pixels
%for an image with size Nx x Ny
%Circulant approximation

b = ones(Nx*Ny, 1);
  
  
  G1  = spdiags([-b, b, -b], [-1, 0, Nx*Ny-1], Nx*Ny, Nx*Ny);
  G2  = spdiags([-b, b, -b], [-Nx, 0, Nx*Ny-Nx], Nx*Ny,Nx*Ny);
  G11 = G1*G1;
  G12 = G1*G2;
  G22 = G2*G2;
end
