function gTx = grad_weightedl2(Tx,y,taby,tabn, gvar,gmean, alpha, tolerance)   
a = 1; b = gvar;
Tneg = (Tx < 0 ) ;
Tpos = (Tx >= 0 ) ;

% Build quadratic approximation in Tx < 0
A = 1/2.*(a.*y + b).^2 ./b^3;
B = -1/2.*(y.*(a.*y + 2.*b)./(b^2));
gTx(Tneg) = 2*A(Tneg).*alpha.*Tx(Tneg)+B(Tneg);

% Build exact gradient if Tx >= 0
gTx(Tpos) = ((alpha.*Tx(Tpos)-y(Tpos)).*(a.*(alpha.*Tx(Tpos)+y(Tpos))+2*b))./(2*(a.*alpha.*Tx(Tpos)+b).^2);
