function z = prox_hes(coef,x,lambda,nx,ny)

u = x(1:nx*ny);
v = x(nx*ny+1:2*nx*ny);
y = x(2*nx*ny+1:end);

zu = zeros(nx*ny,1);    
zv = zu;
zy = zu;
coeff = coef*lambda;

sqrtuv = sqrt(u.^2 + v.^2 + y.^2);
zu(sqrtuv>coeff) = (1-coeff./sqrtuv(sqrtuv>coeff)).*u(sqrtuv>coeff);    
zv(sqrtuv>coeff) = (1-coeff./sqrtuv(sqrtuv>coeff)).*v(sqrtuv>coeff);
zy(sqrtuv>coeff) = (1-coeff./sqrtuv(sqrtuv>coeff)).*y(sqrtuv>coeff);
z = [zu;zv; zy];